Page MenuHomePhabricator

Measure dwell-time impact of `touch-action: manipulation;`
Closed, ResolvedPublic

Description

A CSS property touch-action: manipulation; removes the (default) 300ms delay for click events on mobile devices.
https://developer.mozilla.org/en-US/docs/Web/CSS/touch-action

Adding this feature is trivial, and there is no downside to adding it:

a {
  touch-action: manipulation;
}

But it would be good to measure what impact this change has on dwell-time. In theory dwell-time should be reduced by 300ms (though I don't think we measure dwell-time in milliseconds).

If this property reduces dwell-time by any measure for mobile users, that could indicate it's usefulness on wikipedia mobile web.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 24 2017, 8:08 AM
debt triaged this task as Normal priority.Aug 24 2017, 4:09 PM
debt added a project: Discovery.
debt updated the task description. (Show Details)
debt added a comment.Aug 24 2017, 4:13 PM

Once we put this into production, we can make a notation on the portal dashboard to see if there is a subsequent decrease in dwell-time after the user touch activates an action on the portal page.

Change 383342 had a related patch set uploaded (by Jdrewniak; owner: Jdrewniak):
[wikimedia/portals@master] Adding touch-action:manipulation CSS for anchor links

https://gerrit.wikimedia.org/r/383342

On an iOS simulator, it looks like this works.
The one on the left has touch-action:manipulation
The one on the right doesn't.

The grey box after the click, which indicates a successful click, seems to appear faster with touch-action.

the .mov file shows this without the compression artifacts

Change 383342 merged by jenkins-bot:
[wikimedia/portals@master] Adding touch-action:manipulation CSS for anchor links

https://gerrit.wikimedia.org/r/383342

Thanks for the merge, @Volker_E, it looks like the code will be picked up by the train next week. :)

This patch went live during SF morning SWAT on October 19th, exact time was 18:36 UTC

Mentioned in SAL (#wikimedia-operations) [2017-10-19T18:36:23Z] <thcipriani@tin> Synchronized portals: SWAT: [[gerrit:385214|Bumping portals to master]] T128546 (duration: 00m 51s)

debt closed this task as Resolved.Oct 24 2017, 3:33 PM
debt moved this task from In Progress to Done on the Discovery-Portal-Sprint board.